> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Save user metadata fields

> Saves custom metadata values for the user specified. Template IDs that do not map to an actual org metadata template are ignored and values for omitted Template IDs are left as-is.



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/user/metadata/saveUserMetadataFields
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/user/metadata/saveUserMetadataFields:
    post:
      tags:
        - User Metadata Webservice
      summary: Save user metadata fields
      description: >-
        Saves custom metadata values for the user specified. Template IDs that
        do not map to an actual org metadata template are ignored and values for
        omitted Template IDs are left as-is.
      operationId: saveUserMetadataFields
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/User_metadata_SaveUserMetadataFieldsWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/User_metadata_SaveUserMetadataFieldsWSResponse
          description: OK
components:
  schemas:
    User_metadata_SaveUserMetadataFieldsWSRequest:
      type: object
      properties:
        fieldValueMap:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    User_metadata_SaveUserMetadataFieldsWSResponse:
      type: object
      properties:
        templateMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/UserMetadataFieldTemplate'
          nullable: true
        userFieldValueMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/UserMetadataField'
          nullable: true
    UserMetadataFieldTemplate:
      type: object
      properties:
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        fieldName:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        scimFieldName:
          type: string
          nullable: true
        updatedAtMillis:
          type: integer
          format: int64
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    UserMetadataField:
      type: object
      properties:
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        fieldValue:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        templateUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        updatedAtMillis:
          type: integer
          format: int64
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````